export declare class JsonValueConverter {
    toView(value: AnyObject): string;
}
export declare class PhoneValueConverter {
    toView(value: string, country?: string): string;
}
export declare class PhoneLocalValueConverter {
    toView(value: string, country?: string): string;
}
export declare class PhoneHtmlValueConverter {
    toView(value: string, country?: string): string;
}
export declare class PhoneLocalHtmlValueConverter {
    toView(value: string, country?: string): string;
}
export declare class DateValueConverter {
    toView(value: string, format?: string): string;
}
export declare class TimeValueConverter {
    toView(value: string, format?: string): string;
}
export declare class DatetimeValueConverter {
    toView(value: string, format?: string): string;
}
export declare class FromNowValueConverter {
    toView(value: string): string;
}
export declare class AgeValueConverter {
    toView(value: string): string;
}
export declare class UtcValueConverter {
    toView(value: string): string;
}
export declare class IsoValueConverter {
    toView(value: string): string;
}
export declare class NumberValueConverter {
    toView(value: string, format?: string): string;
}
export declare class PercentValueConverter {
    toView(value: string): string;
}
export declare class EuroValueConverter {
    toView(value: string): string;
}
export declare class DecimalValueConverter {
    private viewVal;
    fromView(val: any): any;
    toView(value: string, format?: string): string;
}
export declare class BoolValueConverter {
    toView(value: boolean): "✓" | "✖";
}
export declare class CurrencyValueConverter {
    toView(value: number): string;
}
export declare class IbanValueConverter {
    NON_ALPHANUM: RegExp;
    EVERY_FOUR_CHARS: RegExp;
    toView(value: string, separator?: string): string;
}
export declare class VCSValueConverter {
    NON_ALPHANUM: RegExp;
    EVERY_FOUR_CHARS: RegExp;
    toView(value: string, isVCS?: boolean): string;
}
export declare class FileSizeValueConverter {
    toView(value: number): string;
}
